﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZweiFenster.Model
{
    public class Werte
    {
        public string WertListBox { get; set; }
        public string WertComboBox { get; set; }
        public string WertDataSet { get; set; }
        public bool WertCheckBox { get; set; }
		DataSet _ds = new DataSet("Neu");
		public string _fehler = "";

        public DataSet GetListeArtikel()
        {
            try
            {
                DataTable dtArtikel = new DataTable("Artikel");
                dtArtikel.Columns.Add("Nr", typeof(String));
                dtArtikel.Columns.Add("Name", typeof(String));
                // Tabelle zum DataSet hinzufügen
                _ds.Tables.Add(dtArtikel);

				// Zeile anfügen
				NeueDataRow("0815", "Normalfall");
				NeueDataRow("0816", "Noch mals");
				NeueDataRow("4711", "Kölnisch Wasser");
				NeueDataRow("A100", "Wert A100");
				NeueDataRow("A200", "Wert A200");				
            }
            catch (Exception ex)
            {
                return null;
            }
            return _ds;
        }
		
		
		private void NeueDataRow(string inNummer, string inName)
		{
			DataRow dRow;
			
			try
			{
				dRow = _ds.Tables["Artikel"].NewRow();
				dRow["Nr"] = inNummer;
				dRow["Name"] = inName;
				_ds.Tables["Artikel"].Rows.Add(dRow);
			}
			catch(Exception ex)
			{
				_fehler = ex.Message;
			}			
		}


    }
}
